Skip to main content
GET
Get Maintenance Margin Metadata

Authorizations

Authorization
string
header
required

Pass Authorization: Bearer <admin_user_id>:<access_token> on each request.

Query Parameters

asset_class
enum<string>
required

Asset class of the margin markets covered by this entry.

Available options:
Crypto
date
string<date>
required

Return the matrices calibrated on this Eastern-time day (YYYY-MM-DD), the liquidation parameters in effect at the end of that day, and the current subgroups of the markets they cover for the caller. Returns 404 if no matrices were calibrated that day.

Response

Successful response

asset_class
enum<string>
required

Asset class of the margin markets covered by this entry.

Available options:
Crypto
base_tail_percentile
number<double>
required

Lower-tail percentile of the scenario P&L distribution used for the base margin.

funding_tail_percentile
number<double>
required

Lower-tail percentile of the scenario P&L distribution used for the funding margin.

matrices
object
required
liquidation_configs
object[]
required

Liquidation margin parameters for each active market with a calibrated margin config.

subgroups
string[][]
required

Partition of the asset class's active markets; positions within a subgroup are margined together.